/* ServerSocket.h - TransparentIRC 0.1
 * Copyright (C) 2011-2012  Philipp Kreil (pk910)
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program. If not, see <http://www.gnu.org/licenses/>. 
 */

#ifndef _ServerSocket_h
#define _ServerSocket_h
#include "overall.h"

struct IODescriptor;
struct UserClient;

struct ServerSocket {
    struct IODescriptor *iofd;
    int clientcount;
    
    struct ServerSocket *next, *prev;
};

struct ServerSocket *serversocket_listen(char *hostname, int port);
void serversocket_close(struct ServerSocket *server, int keep_clients);

#endif
