/* UserClient.h - TransparentIRC 0.1
 * Copyright (C) 2011-2012  Philipp Kreil (pk910)
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program. If not, see <http://www.gnu.org/licenses/>. 
 */

#ifndef _UserClient_h
#define _UserClient_h
#include "overall.h"

struct IODescriptor;
struct ServerSocket;
//struct UserSession;

struct UserClient {
    struct IODescriptor *iofd;
    struct ServerSocket *server;
    
    //struct UserSession *user;
    
    struct UserClient *next, *prev;
};

void userclient_accepted(struct ServerSocket *server, int sockfd);
void userclient_close(struct UserClient *client);
void userclient_close_server(struct ServerSocket *server, int keep_clients);

#endif
